classification
Title: Correct __sizeof__ support for mmap
Type: behavior Stage: resolved
Components: Library (Lib), Windows Versions: Python 3.5, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: aliles, brian.curtin, jcea, python-dev, serhiy.storchaka, tim.golden
Priority: normal Keywords: patch

Created on 2012-08-16 19:31 by serhiy.storchaka, last changed 2014-08-19 18:46 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
mmap_sizeof-3.x.patch serhiy.storchaka, 2012-08-16 19:31 Patch for 3.2 and 3.3 review
mmap_sizeof-2.7.patch serhiy.storchaka, 2012-08-16 19:32 Patch for 2.7 review
mmap_sizeof-3.x_2.patch serhiy.storchaka, 2013-12-09 15:00 review
Messages (3)
msg168402 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-08-16 19:31
Here is a patch that implements correct __sizeof__ for mmap under Windows.

I have not tested it because it is Windows-only issue. Please test it.
msg205700 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-12-09 15:00
Synchronized with tip.
msg225532 - (view) Author: Roundup Robot (python-dev) Date: 2014-08-19 14:52
New changeset 4aba144b752d by Serhiy Storchaka in branch '2.7':
Issue #15696: Add a __sizeof__ implementation for mmap objects on Windows.
http://hg.python.org/cpython/rev/4aba144b752d

New changeset ca4a22256bf8 by Serhiy Storchaka in branch '3.4':
Issue #15696: Add a __sizeof__ implementation for mmap objects on Windows.
http://hg.python.org/cpython/rev/ca4a22256bf8

New changeset f543171d7f41 by Serhiy Storchaka in branch 'default':
Issue #15696: Add a __sizeof__ implementation for mmap objects on Windows.
http://hg.python.org/cpython/rev/f543171d7f41
History
Date User Action Args
2014-08-19 18:46:20serhiy.storchakasetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.5, - Python 3.3
2014-08-19 14:52:17python-devsetnosy: + python-dev
messages: + msg225532
2013-12-09 15:00:28serhiy.storchakasetfiles: + mmap_sizeof-3.x_2.patch
versions: - Python 3.2
nosy: + tim.golden, brian.curtin

messages: + msg205700
2012-12-29 22:24:42serhiy.storchakasetassignee: serhiy.storchaka
2012-10-02 16:47:33serhiy.storchakasetversions: + Python 3.4
2012-09-10 02:33:21jceasetnosy: + jcea
2012-08-29 12:02:40alilessetnosy: + aliles
2012-08-16 19:37:26serhiy.storchakasettype: behavior
stage: patch review
2012-08-16 19:32:24serhiy.storchakasetfiles: + mmap_sizeof-2.7.patch
2012-08-16 19:31:38serhiy.storchakacreate